Bug 74130 - rh-cfg-xf86 has wrong option for keyboard
rh-cfg-xf86 has wrong option for keyboard
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
8.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-16 14:38 EDT by Thomas Dodd
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-02 13:18:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Dodd 2002-09-16 14:38:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.1) Gecko/20020827

Description of problem:
To swap the <CTRL> and <Cap> keys the correct option is ctrl:swapcaps

rh-cfg-cf86 inserts a commented line for it as ctrl:nocaps.
That makes the <Caps> key work as control, but there is no caps-lock key then.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.configure X server with rh-cfg-xf86
2.look at the resulting XF86Config file
3.
	

Actual Results:  XF86Config has this line:
# If you'd like to switch the positions of you capslock and
# controls keys, use:
#        Option  "XkbdOptions"   "ctrl:nocaps"

That option disables the capslock function (no key for it)

Expected Results:  it should be:
#        Option  "XkbdOptions"   "ctrl:swapcaps"

That option actuall swapps the functionality.

Additional info:

A check box for this option in rh-cfg-xf86 would be nice too.
Like the one for emulate 3 buttons on mice.

Having that option also switch the keys in console mode would be outstanding. I
a use does it in X they are likely to want it on the console too.
Comment 1 Brent Fox 2002-12-03 12:10:37 EST
I think that this has been fixed in the latest tree.  By the way, I think that
this was actually fixed in the XFree86 package, not redhat-config-xfree86.  The
file now says:

# If you'd like to switch the positions of your capslock and
# controls keys, use:
#        Option  "XkbdOptions"   "ctrl:swapcaps"
# Or if you just want both to be control, use:
#        Option  "XkbdOptions"   "ctrl:nocaps"


Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.